package com.ruoyi.business.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;

/**
 * 调查问卷管理对象 business_survey
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
@Data
public class BusinessSurvey extends BaseEntity
{
    private static final long serialVersionUID = 1L;



    /** 问卷名称 */
    @Excel(name = "问卷名称")
    private String title;


    /** 问卷描述 */
    @Excel(name = "问卷描述")
    private String context;


    /** 模板id */
    @Excel(name = "模板id")
    private String tempId;


     /** 模板名称 */
    @Excel(name = "模板名称")
    private String tempName;


    /** 是否开放 */
    @Excel(name = "是否开放")
    private String open;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("context", getContext())
            .append("tempId", getTempId())
            .append("open", getOpen())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleted", getDeleted())
            .append("remark", getRemark())
            .toString();
    }
}
